# vim: set sw=4 ts=4 et:

Name:           easytag
Summary:        Tag editor for MP3 and Ogg Vorbis files
Version:        2.1.6
Release:        2.pm.2.23
License:        GPL
URL:            http://easytag.sourceforge.net
Group:          Productivity/Multimedia/Sound/Utilities
Source0:        http://prdownloads.sourceforge.net/easytag/easytag-%{version}.tar.bz2
Patch1:         http://prdownloads.sourceforge.net/easytag/patch_easytag_216_cddb_manual_search_fix.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  gcc-c++ gtk2-devel flac-devel libjack0 libjack-devel id3lib-devel
BuildRequires:  libid3tag-devel libmp4v2-devel libvorbis-devel speex-devel
BuildRequires:  wavpack-devel update-desktop-files

%description
EasyTAG is an utility for viewing and editing tags for MP3, MP2, FLAC, Ogg
Vorbis, MusePack and Monkey's Audio files. Its simple and nice GTK+ interface
makes tagging easier under GNU/Linux.

%lang_package

%prep
%setup -q
%patch1 -p1

%build
#autoreconf -fi
%if %suse_version >= 1010
export CFLAGS="$RPM_OPT_FLAGS -fstack-protector"
export CXXFLAGS="$RPM_OPT_FLAGS -fstack-protector"
%endif
%configure
%__make %{?_smp_flags}

%install
%makeinstall
%__rm -rf %{buildroot}/%{_datadir}/locale/sr@Latn
%__rm -rf %{buildroot}/%{_datadir}/%{name}/ChangeLog

%find_lang %{name}
%suse_update_desktop_file %{name} AudioVideo AudioVideoEditing
chmod 644 ChangeLog COPYING README TODO THANKS USERS-GUIDE

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-, root, root)
%doc ChangeLog COPYING README TODO THANKS USERS-GUIDE
%{_bindir}/easytag
%{_datadir}/pixmaps/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}
%{_mandir}/man1/%{name}*

%files lang -f %{name}.lang

%changelog
* Wed Aug 13 2008 quentin@links2linux.de
- update to upstream 2.1.6
* Sun Feb  3 2008 quentin@links2linux.de
- update to upstream 2.1.5
- added libjack-devel
* Sat Dec  8 2007 quentin@links2linux.de
- update to upstream 2.1.4
* Fri Nov  9 2007 quentin@links2linux.de
- fixed the desktop icon
* Mon Oct 22 2007 quentin@links2linux.de
- update to upstream 2.1.3
- added WavPack to BuildRequires because of ambiguous dependency with wavpack from openSUSE
* Mon Jul 30 2007 quentin@links2linux.de
- update to upstream 2.1.2
- added make jobs
* Thu Jul  5 2007 quentin@links2linux.de
- update to upstream 2.1.1
- added speex support
- fixed mp3 support
* Sun Jun  3 2007 quentin@links2linux.de
- update to upstream 2.1
* Tue May  1 2007 quentin@links2linux.de
- update to upstream 2.0.2
* Thu Apr 19 2007 quentin@links2linux.de
- update to upstream version 2.0.1 (unstable)
- changed prefix to /usr
- added WavPack support
* Fri Feb 23 2007 quentin@links2linux.de
- update to stable version 2.0
* Mon Feb  5 2007 quentin@links2linux.de
- update to version 1.99.13
* Fri Apr 14 2006 quentin@links2linux.de
- update to version 1.99.12
- added some suse patches
- added mp4 support
- removed strips
* Wed Mar 22 2006 henne@links2linux.de
- build with -fstack-protector on 10.1
* Thu Mar 16 2006 henne@links2linux.de
- update to 1.99.11
* Mon Nov 28 2005 quentin@links2linux.de
- update to 1.99.10
* Thu Nov  3 2005 quentin@links2linux.de
- updated to 1.99.9
* Fri Sep  2 2005 quentin@links2linux.de
- updated to 1.99.8
* Fri Jul 15 2005 quentin@links2linux.de
- updated to 1.99.7
* Mon Jun 27 2005 quentin@links2linux.de
- updated to 1.99.6
* Thu Jun  9 2005 quentin@links2linux.de
- updated to 1.99.5
* Mon Jan 24 2005 quentin@links2linux.de
- updated to 1.99.3
